Introduction

IconTweaker is a freeware application that allows you to customize all your Windows icons.

Icons are one of main parts of the Windows interface. Customizing them can make your desktop look better and can also improve the usability, because you can make it easier to recognize items.

Using the IconTweaker theme system, designers can share their icons with other people. IconTweaker has an open XML-based theme format that can be extended using plug-ins. If you created an IconTweaker theme for your icons, you can be sure they can be used by everyone.

Many themes with beautiful icons are already included and ready to use.

Related Topics

Features
System Requirements
License
Credits

©2004 Joost Verburg. All rights reserved.


Features

Click on a feature for more information

Customize Icons & Cursors
You can customize all icons on your desktop, folder icons, drive icons, network icons, file icons and cursors.

Themes
The theme system allows you to apply a set of icons at once.

Theme Archives
You can use the Theme Archive Builder to create a compressed file that contains themes with all the linked icons. These archives can be distributed to other computers.

Icons for Individual Folders & Drives
Easily remeber the content of a folder or drive by using custom icons.

Icon System Settings
Customize the way Windows loads and displays icons.

Related Topics

System Requirements
License
Credits


Features

System Requirements

Required

  • Windows 95/98/ME/2000/XP
  • 12 MB free disk space (depends on installed system files)
  • 12 MB of additional temporary disk space during the installation

Recommended

  • Pentium class processor or greater
  • 32 MB RAM or greater
  • Display color depth of 16 bit or greater

Windows Updates

Windows 95

You should install Internet Explorer 4 or later for a proper diplay of the IconTweaker HTML Help. The Desktop Update of Internet Explorer 4/4.01 (Shell version 4.71/4.72) is required to change individual folder or drive icons (Internet Explorer 5 and later do not install it).

Internet Explorer 4 and 5 are no longer available for download at the Microsoft site, so you will have to find these applications somewhere else.

Windows XP

In order to change individual drive icons, you should install Service Pack 1 or later.
You can get the latest Windows XP Service Pack at http://www.microsoft.com/WindowsXP/.

Related Topics

Features
License
Credits


Features

License

ICONTWEAKER SOFTWARE LICENSE AGREEMENT

Copyright © 2004 Joost Verburg. All rights reserved.

This program is provided 'as-is', in the hope that it will be useful, but WITHOUT ANY EXPRESS OR IMPLIED WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. In no event will the author be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for NON-COMMERCIAL purposes, and to redistribute it freely, subject to the following restrictions:

You may not:

  1. Misrepresent the origin of the software; you must not claim that you wrote the software.
  2. Encumber, sell, rent, lease, lend, sublicense, or otherwise transfer rights to the software except as provided in this agreement.
  3. Derive or attempt to derive the source code, source files or structure of all or any portion of the software by reverse engineering, disassembly, decompilation or any other means.
  4. Modify or create any derivative works of the software.
  5. Remove or alter any trademark, logo, copyright or other proprietary notices, symbols or labels in the software.
  6. Charge any money for the redistribution of the software.
  7. Redistribute any part of the software other than the full installation package.
  8. Redistribute the software on compilation media without permission of the author.

The included icon themes are copyrighted by Nikos Adamamas. They are only intended for personal on-screen desktop use and may not be altered or redistributed.

Related Topics

Features
System Requirements
Credits


Credits

Written by Joost Verburg

Copyright © 2004 Joost Verburg. All rights reserved.

Thanks

Nikos Adamamas, Info-ZIP, NSIS, Amir Szekely.

Related Topics

Features
System Requirements
License


Customizing

IconTweaker allows you to customize Windows icons, cursors and system settings related to icons.

To customize your system, you should be in the System Update mode. You are always in this mode after you started IconTweaker.

You apply a set of icons using Themes, but you can also customize individual icons.

After you have selected the changes you want to make, you can apply the changes by pressing the Apply button. Clicking OK will apply all changes and exit IconTweaker.

Related Topics

Customize Icons
System Settings
Customize Individual Folder / Drive Icons
Icon Organiser


Customize Icons

To customize Icons, click the Icons button on menu at the left side.

Now click on a tab for an icon category (Desktop, Network etc.) to display the icons inside a category. When you click on an icon, information about it will be displayed on the right side.

  • Click the Change... button to change the current icon using the \ Icon Organiser. You can also change the icon by double clicking on it.
  • Click the Reset button to reset the icon to the default icon
  • Click 'Undo Current Change' to reset the icon to the previous icon you applied

Notes

  • If you change a file icon, the icons of other files which are configured to be opened with the same application may be changed too (you will see immidiately which icons change).
  • Windows XP has no different icons for some Start Menu items. The folder icons will be used.
  • The icons of the Windows XP Start Menu in Classic mode cannot be changed. You can however change the icons of the sub menus.

Related Topics

Customize Individual Folder / Drive Icons
Icon Organiser
System Settings


System Settings

To customize System Settings related to icons, click the System button on menu at the left side.

Setting Information

When using the standard themes, it's highly recommended check 'Display icons using all possible colors'.

You can also hide the shortcut arrows or remove the 'Shortcut to' text that is added to the names of shortcuts you create (this text won't be removed from existing shortcuts).

The icon size should be a common size to ensure a sharp display of your icons. Sizes of 16, 32 or 48 pixels are common. Some modern icons also include images with a size of 72 or 128 pixels.

If you notice that icons redraw to frequently, increase the icon cache size.

Related Topics

Customize Icons


Icon Organiser

You can use the icon organiser to select icons and organise icon libraries. IconTweaker will display the Icon Organiser when you have to select an icon from a file. The Icon Organiser can open all kinds of icon files.

Open an icon library

  • Select Open... from the File menu
  • Navigate to the folder where the icon library is located
  • Select the icon library from the list and click Open

Choose an icon

On the right side, all icons in the file will be displayed. If there are many icons you may want to reduce the size of the displayed icons by selecting 'Small Icons' from the View menu. Then decide which icon you want to use and:

  • Click on the icon
  • Click OK

You can also double click to choose it immidiately.

Favorites

On the left side, you can make a list of your favorite icon libraries for a quick access:

Add | Add a new favorite to the list
Remove | Remove the selected favorite from the list. The file itself will not be removed.
Rename | Rename the selected favorite in the list. The file itself will not be renamed.
Move up | Move the selected favorite up
Move down | Move the selected favorite down

Related Topics

Customize Icons
Customize Individual Folder / Drive Icons


Customize individual folders / drives

Customize Individual Folder / Drive Icons

To customize individual folder or drives, select 'Change Folder icon...' or 'Change Drive icon...' from the Tools menu.

Folder Icon

  • Select 'Change Folder icon...' from the Tools menu
  • Click 'Browse for folder...'
  • Navigate to the folder you want to change
  • Click OK
  • Click Change... (or click Reset the use the default icon)
  • Select to icon you want to use using the Icon Organiser.
  • Click OK
  • You can click 'Browse for folder...' again to change the icon of another folder
  • Click OK to close the window

Drive Icon

  • Select 'Change Drive icon...' icon from the Tools menu
  • Open the drive list box on the top of the window by clicking on the arrow
  • Click on the drive you want to change
  • Click Change... (or click Reset the use the default icon)
  • Select to icon you want to use using the Icon Organiser.
  • Click OK
  • You select another drive again to change the icon of another drive
  • Click OK to close the window

Note: If you are using Windows XP, you need to install Service Pack 1 or later to change individual drive icons.

Related Topics

Customize Icons
Icon Organiser


Preferences

On the preferences windows, you can customize the behavior of IconTweaker. You can open the preferences window by selecting Preferences... from the File menu.

Folders

You can change the folders where IconTweaker looks for themes or plug-in files. Themes you add to the Themes folder will automatically be added to the theme list once you start IconTweaker. The plug-in files in the plug-ins folder will be loaded so you can use the icon information which is stored in these files.

Display

Configure whether IconTweaker should remember the positions of the windows. If you enable this option a window will have the same position when you open it again. You can also remove the currently stored window positions.

Theme Loading

By default, IconTweaker doesn't change the current icon when the theme contains no custom icon. When your current theme has a custom icon for a certain icon, and the new theme you apply has not, you will get icons of different themes on you system. If you prefer to use the default Windows icons when there are no custom icons, enable this option.

File Associations

When you associate IconTweaker with file types, you can open themes directly in Windows and other applications. Here you can check which file types are associated with IconTweaker and associate file types which are not associated with IconTweaker.

Related Topics

Using Themes


Themes

Using the theme system of IconTweaker, you can apply a set of icons to your system at once.

File Types

IconTweaker Theme (.itt)

A IconTweaker Theme is an XML file that contains information about the locations of all theme icons. Note that this file does not contain the icons, it contains links to external icons. An .itt file can be applied to the system to apply all the theme icons at once. IconTweaker Themes can be opened directly (File > Open...). You can create your own themes using the Theme Editor.

Theme Archive (.ita)

A Theme Archive is a compressed file that contains theme files and the linked icons. These archives can be used to distribute themes to other computers. Once you have installed an archive, all the themes inside can be used. Theme Archives can be created with the Theme Archive Builder.

Related Topics

Using Themes
Theme Editor
Theme Archive Builder


Using Themes

To see the installed themes, click the Themes button on menu at the left side. This screen will be displayed when you start IconTweaker.

Install a Theme

When you install a Theme Archive, all theme files and icons will be extracted to the IconTweaker Themes folder and the theme will be added to the theme list. Then you can apply an installed theme to your system.

You can also install a Theme File. In that case, you can choose between copying all icons (which already exist in the folder of the Theme File) to the IconTweaker Themes folder or just adding the theme to the theme list.

To install a theme:

  • Click on the the 'Install theme...' button
  • Browse to the folder where the theme file is located
  • Select the theme from the list and click Open

Load a Theme

Load an theme from the list

  • Select the theme from the theme list
  • Click the 'Load theme' button

You can also double click on a theme icon to load it immidiately.

Load a theme that is not listed

  • Select 'Open theme...' from the File menu
  • Browse to the folder where the theme file is located
  • Click on the theme file in the list
  • Click Open

Load a theme from My Computer

To use this feature, IconTweaker must be associated with themes files, see Preferences.

  • Browse to the folder that contains the theme file
  • Double click on the theme file (or single click if you have configured Windows that way)

Preview a theme in the list

  • Select the theme from the theme list
  • Click the 'Preview theme' button

View information about a theme in the list

  • Select the theme from the theme list
  • Click the 'View theme info...' button

More Theme Options

Right click on a theme in the list for more options (Edit, Delete, Rename, etc.).

Note: When you delete a theme, only theme files and icons located in the IconTweaker Themes folder will be deleted. If your theme is stored somewhere else it will only be removed from the list.

Related Topics

Themes
Theme Editor
Theme Archive Builder


Theme Builder

Theme Editor

The Theme Editor allows you to to create your own themes. To start the Theme Editor, select Theme Editor from the Mode menu. You can also use this menu to switch back to the System Update mode.

Using the Theme Editor

The theme Editor works similar to System Update with the difference that you are not changing your local system.

Save a Theme

  • Select Save or 'Save As...' from the File menu
  • If you have select 'Save As...' or you are saving a new theme, browse to the folder where the theme file should be stored, enter a name and click Save

Distribute a Theme

If you want to distribute your theme, you should create a Theme Archive with the Theme Archive Builder. This will compress all theme files and icons into one file, which can be installed on another computer. To save the current theme and launch the Theme Archive Builder, click the 'Save & Distribute' button.

Related Topics

Themes
Using Themes
Theme Archive Builder


Theme Archive Builder

You can use the Theme Archive Builder to compress themes files and the linked icons into one archive. You can distribute these archives to other computers.

To start the the Theme Archive Builder, select 'Theme Archive Builder...' from the File menu while using the Theme Editor.

Themes

Add a Theme

  • Click the Add... button
  • Navigate to the folder where the files are located
  • Select the theme or select multiple themes and click Open

Remove a Theme

  • Select the theme or themes you want to remove from the list
  • Click the Remove button

Set the Theme Archive Options

Store all icons in one single ICL icon library

If you check this option, all icons files will be stored in one icon library (ICL file). This will make the installation of your Theme Archive faster and make it easier to use.

Selection of Multiple Themes

To select nonadjacent themes, click one file, and then hold down CTRL and click each additional file.
To select adjacent themes, click the first file in the sequence, and then hold down SHIFT and click the last file.

Build the Theme Archive

  • Click to Build button
  • Navigate to the folder where you want to save the Theme Archive
  • Enter a name for your archive
  • Click Save

Now you can distribute your theme archive to other computers and it can be installed by others.

Related Topics

Themes
Using Themes
Theme Editor


Troubleshooting

If you have troubles using IconTweaker, please check the System Requirements for Windows Updates that you might need to install.

If you have problems with your Windows icons, see Icon Troubleshooting.

Can't find an answer? See Contact.


Icon Troubleshooting

Incorrect icons are being displayed

If Windows failed to update icons properly, rebuild the icon cache. You can rebuild the icon cache by selecting 'Rebuild Icon Cache' from the Tools menu.

The icons look fuzzy or blurred

  • Please check the icon size (see System Settings). It should be a standard icon size. Most icons include images with a size of 32 pixels. Other common sizes are 16 and 48 pixels. Some modern icons also include sizes like 72 and 128 pixels.
  • If the icon size is correct, there may be problems with the icon cache, try the procedure described above (Incorrect icons are being displayed).

Icons are displayed with incorrect colors

  • The system setting 'Display icons using all possible colors' should be checked.
  • Check the display color depth (Start > Settings > Control Panel > Display > Settings > Colors). This should be set to 16 bit colors or more.

Icons have black areas (also in IconTweaker)

Windows XP has a new icon format with an 8-bit alpha channel. These icons will not be displayed correctly if you are using an older Windows version.

Internet Explorer does not use the customized icons

If Internet Explorer is not running in the same process as the standard Windows explorer, it will use the default Windows icons. This is a Windows limitation. By default, Internet Explorer runs in a separate process if your computer has 32 MB memory or more. Changing this situation is not recommended.

Icons redraw too frequently

Increase the icon cache size, see System Settings.

Related Topics

Customize Icons
Customize Individual Folder / Drive Icons
Contact


Contact

If you have any questions, comments, feature requests or bugreports, contact me.